# This is an auto-generated Django model module.
# You'll have to do the following manually to clean this up:
#   * Rearrange models' order
#   * Make sure each model has one field with primary_key=True
#   * Make sure each ForeignKey has `on_delete` set to the desired behavior.
#   * Remove `managed = False` lines if you wish to allow Django to create, modify, and delete the table
# Feel free to rename the models, but don't rename db_table values or field names.
from __future__ import unicode_literals

from django.db import models


class WpAiLogs(models.Model):
    logs_id = models.AutoField(primary_key=True)
    logs_date = models.DateTimeField()
    logs_type = models.CharField(max_length=20)
    logs_topic = models.CharField(max_length=200)
    logs_url = models.CharField(max_length=1000, blank=True, null=True)
    logs_msg = models.CharField(max_length=200)
    logs_aiclass = models.CharField(max_length=20, blank=True, null=True)
    logs_aigood = models.FloatField(blank=True, null=True)
    logs_aibad = models.FloatField(blank=True, null=True)
    logs_source = models.CharField(max_length=255, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'wp_ai_logs'


class WpCommentmeta(models.Model):
    meta_id = models.BigAutoField(primary_key=True)
    comment_id = models.BigIntegerField()
    meta_key = models.CharField(max_length=255, blank=True, null=True)
    meta_value = models.TextField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'wp_commentmeta'


class WpComments(models.Model):
    comment_id = models.BigAutoField(db_column='comment_ID', primary_key=True)  # Field name made lowercase.
    comment_post_id = models.BigIntegerField(db_column='comment_post_ID')  # Field name made lowercase.
    comment_author = models.TextField()
    comment_author_email = models.CharField(max_length=100)
    comment_author_url = models.CharField(max_length=200)
    comment_author_ip = models.CharField(db_column='comment_author_IP', max_length=100)  # Field name made lowercase.
    comment_date = models.DateTimeField()
    comment_date_gmt = models.DateTimeField()
    comment_content = models.TextField()
    comment_karma = models.IntegerField()
    comment_approved = models.CharField(max_length=20)
    comment_agent = models.CharField(max_length=255)
    comment_type = models.CharField(max_length=20)
    comment_parent = models.BigIntegerField()
    user_id = models.BigIntegerField()

    class Meta:
        managed = False
        db_table = 'wp_comments'


class WpEsiCountry(models.Model):
    country_code = models.CharField(max_length=2)
    country_name = models.CharField(max_length=100)

    class Meta:
        managed = False
        db_table = 'wp_esi_country'


class WpEsiCurrency(models.Model):
    iso = models.CharField(primary_key=True, max_length=3)
    name = models.CharField(unique=True, max_length=200)

    class Meta:
        managed = False
        db_table = 'wp_esi_currency'


class WpEsiEntity(models.Model):
    name = models.CharField(max_length=255)
    description = models.TextField()
    url = models.CharField(max_length=2083)
    is_investor = models.IntegerField()
    country = models.CharField(max_length=2)
    city = models.CharField(max_length=255)
    entity_type_id = models.IntegerField()
    founded_in = models.DateField()
    employees = models.IntegerField()
    acquired_by = models.IntegerField(blank=True, null=True)
    acquired_at = models.DateField()
    acquired_amount = models.IntegerField(blank=True, null=True)
    total_raised = models.IntegerField(blank=True, null=True)
    latest_round_type = models.IntegerField(blank=True, null=True)
    facebook_link = models.TextField()
    twitter_link = models.TextField()
    linkedin_link = models.TextField()
    status = models.SmallIntegerField()

    class Meta:
        managed = False
        db_table = 'wp_esi_entity'


class WpEsiEntityEvaluation(models.Model):
    entity_id = models.IntegerField(primary_key=True)
    interesting = models.IntegerField(blank=True, null=True)
    rationale = models.CharField(max_length=255, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'wp_esi_entity_evaluation'


class WpEsiEntityIndustry(models.Model):
    entity_id = models.IntegerField(primary_key=True)
    industry_id = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_esi_entity_industry'
        unique_together = (('entity_id', 'industry_id'),)


class WpEsiEntityType(models.Model):
    name = models.CharField(max_length=255)
    description = models.TextField()

    class Meta:
        managed = False
        db_table = 'wp_esi_entity_type'


class WpEsiFunction(models.Model):
    name = models.CharField(max_length=255)
    parent = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_esi_function'


class WpEsiIndustry(models.Model):
    name = models.CharField(max_length=255)
    parent = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_esi_industry'


class WpEsiInvestment(models.Model):
    amount = models.CharField(max_length=255)
    currency = models.CharField(max_length=3)
    investment_date = models.DateTimeField()
    entity_id = models.IntegerField()
    investment_type_id = models.IntegerField()
    crunchbase_url = models.CharField(max_length=255, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'wp_esi_investment'
        unique_together = (('investment_date', 'entity_id'),)


class WpEsiInvestmentType(models.Model):
    name = models.CharField(max_length=255)
    description = models.TextField()

    class Meta:
        managed = False
        db_table = 'wp_esi_investment_type'


class WpEsiInvestor(models.Model):
    investment_id = models.IntegerField(primary_key=True)
    entity_id = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_esi_investor'
        unique_together = (('investment_id', 'entity_id'),)


class WpEsiKeypersonnel(models.Model):
    firstname = models.CharField(max_length=255)
    lastname = models.CharField(max_length=255)
    entity_id = models.IntegerField()
    personnel_role_id = models.IntegerField()
    title = models.CharField(max_length=255, blank=True, null=True)
    gender = models.IntegerField()
    linkedin_link = models.CharField(max_length=255, blank=True, null=True)
    twitter_link = models.CharField(max_length=255, blank=True, null=True)
    facebook_link = models.CharField(max_length=255, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'wp_esi_keypersonnel'


class WpEsiMedia(models.Model):
    name = models.CharField(max_length=255)
    url = models.CharField(max_length=2083)

    class Meta:
        managed = False
        db_table = 'wp_esi_media'


class WpEsiNews(models.Model):
    title = models.CharField(max_length=255)
    description = models.TextField()
    url = models.CharField(max_length=2083)
    media_id = models.IntegerField()
    type_id = models.IntegerField()
    region_id = models.IntegerField()
    post_id = models.BigIntegerField()
    publish_date = models.DateTimeField()
    record_date = models.DateTimeField()

    class Meta:
        managed = False
        db_table = 'wp_esi_news'


class WpEsiNewsEntity(models.Model):
    news_id = models.IntegerField(primary_key=True)
    entity_id = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_esi_news_entity'
        unique_together = (('news_id', 'entity_id'),)


class WpEsiNewsFunction(models.Model):
    news_id = models.IntegerField(primary_key=True)
    function_id = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_esi_news_function'
        unique_together = (('news_id', 'function_id'),)


class WpEsiNewsIndustry(models.Model):
    news_id = models.IntegerField(primary_key=True)
    industry_id = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_esi_news_industry'
        unique_together = (('news_id', 'industry_id'),)


class WpEsiNewsRadar(models.Model):
    news_id = models.IntegerField(primary_key=True)
    radar_id = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_esi_news_radar'
        unique_together = (('news_id', 'radar_id'),)


class WpEsiOfficeType(models.Model):
    name = models.CharField(max_length=255)
    description = models.TextField()

    class Meta:
        managed = False
        db_table = 'wp_esi_office_type'


class WpEsiOffices(models.Model):
    title = models.CharField(max_length=255)
    address = models.CharField(max_length=255)
    country = models.CharField(max_length=2)
    city = models.CharField(max_length=255)
    entity_id = models.IntegerField()
    office_type_id = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_esi_offices'


class WpEsiPatent(models.Model):
    entity_id = models.IntegerField()
    code = models.CharField(max_length=255)
    description = models.TextField()

    class Meta:
        managed = False
        db_table = 'wp_esi_patent'


class WpEsiPersonnelRole(models.Model):
    name = models.CharField(max_length=255)
    description = models.TextField()

    class Meta:
        managed = False
        db_table = 'wp_esi_personnel_role'


class WpEsiRadar(models.Model):
    name = models.CharField(max_length=255)

    class Meta:
        managed = False
        db_table = 'wp_esi_radar'


class WpEsiRadarEntity(models.Model):
    radar_id = models.IntegerField(primary_key=True)
    entity_id = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_esi_radar_entity'
        unique_together = (('radar_id', 'entity_id'),)


class WpEsiRadarFunction(models.Model):
    radar_id = models.IntegerField(primary_key=True)
    function_id = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_esi_radar_function'
        unique_together = (('radar_id', 'function_id'),)


class WpEsiRadarIndustry(models.Model):
    radar_id = models.IntegerField(primary_key=True)
    industry_id = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_esi_radar_industry'
        unique_together = (('radar_id', 'industry_id'),)


class WpEsiRegion(models.Model):
    name = models.CharField(max_length=255)

    class Meta:
        managed = False
        db_table = 'wp_esi_region'


class WpEsiSolution(models.Model):
    entity_id = models.IntegerField()
    name = models.CharField(max_length=255)
    description = models.CharField(max_length=255, blank=True, null=True)
    url = models.CharField(max_length=255, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'wp_esi_solution'


class WpEsiTag(models.Model):
    name = models.CharField(max_length=255)
    description = models.TextField()
    parent = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_esi_tag'


class WpEsiTagEntity(models.Model):
    tag_id = models.IntegerField(primary_key=True)
    entity_id = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_esi_tag_entity'
        unique_together = (('tag_id', 'entity_id'),)


class WpEsiTagNews(models.Model):
    tag_id = models.IntegerField(primary_key=True)
    news_id = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_esi_tag_news'
        unique_together = (('tag_id', 'news_id'),)


class WpEsiTechnology(models.Model):
    name = models.CharField(max_length=255)
    description = models.TextField()
    parent = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_esi_technology'


class WpEsiTechnologyEntity(models.Model):
    technology_id = models.IntegerField(primary_key=True)
    entity_id = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_esi_technology_entity'
        unique_together = (('technology_id', 'entity_id'),)


class WpEsiTechnologyNews(models.Model):
    technology_id = models.IntegerField(primary_key=True)
    news_id = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_esi_technology_news'
        unique_together = (('technology_id', 'news_id'),)


class WpEsiType(models.Model):
    name = models.CharField(max_length=255)
    description = models.TextField()

    class Meta:
        managed = False
        db_table = 'wp_esi_type'


class WpIclContentStatus(models.Model):
    rid = models.BigIntegerField()
    nid = models.BigIntegerField()
    timestamp = models.DateTimeField()
    md5 = models.CharField(max_length=32)

    class Meta:
        managed = False
        db_table = 'wp_icl_content_status'


class WpIclCoreStatus(models.Model):
    id = models.BigIntegerField(primary_key=True)
    rid = models.BigIntegerField()
    module = models.CharField(max_length=16)
    origin = models.CharField(max_length=64)
    target = models.CharField(max_length=64)
    status = models.SmallIntegerField()

    class Meta:
        managed = False
        db_table = 'wp_icl_core_status'


class WpIclFlags(models.Model):
    id = models.IntegerField(primary_key=True)
    lang_code = models.CharField(max_length=10)
    flag = models.CharField(max_length=32)
    from_template = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_icl_flags'


class WpIclLanguages(models.Model):
    id = models.IntegerField(primary_key=True)
    code = models.CharField(max_length=7)
    english_name = models.CharField(max_length=128)
    major = models.IntegerField()
    active = models.IntegerField()
    default_locale = models.CharField(max_length=35, blank=True, null=True)
    tag = models.CharField(max_length=35, blank=True, null=True)
    encode_url = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_icl_languages'


class WpIclLanguagesTranslations(models.Model):
    id = models.IntegerField(primary_key=True)
    language_code = models.CharField(max_length=7)
    display_language_code = models.CharField(max_length=7)
    name = models.CharField(max_length=255)

    class Meta:
        managed = False
        db_table = 'wp_icl_languages_translations'


class WpIclLocaleMap(models.Model):
    code = models.CharField(max_length=7)
    locale = models.CharField(max_length=35)

    class Meta:
        managed = False
        db_table = 'wp_icl_locale_map'


class WpIclMessageStatus(models.Model):
    id = models.BigIntegerField(primary_key=True)
    rid = models.BigIntegerField()
    object_id = models.BigIntegerField()
    from_language = models.CharField(max_length=10)
    to_language = models.CharField(max_length=10)
    timestamp = models.DateTimeField()
    md5 = models.CharField(max_length=32)
    object_type = models.CharField(max_length=64)
    status = models.SmallIntegerField()

    class Meta:
        managed = False
        db_table = 'wp_icl_message_status'


class WpIclNode(models.Model):
    nid = models.BigIntegerField()
    md5 = models.CharField(max_length=32)
    links_fixed = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_icl_node'


class WpIclReminders(models.Model):
    id = models.BigIntegerField(primary_key=True)
    message = models.TextField()
    url = models.TextField()
    can_delete = models.IntegerField()
    show = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_icl_reminders'


class WpIclStringPositions(models.Model):
    id = models.BigIntegerField(primary_key=True)
    string_id = models.BigIntegerField()
    kind = models.IntegerField(blank=True, null=True)
    position_in_page = models.CharField(max_length=255)

    class Meta:
        managed = False
        db_table = 'wp_icl_string_positions'


class WpIclStringStatus(models.Model):
    id = models.BigIntegerField(primary_key=True)
    rid = models.BigIntegerField()
    string_translation_id = models.BigIntegerField()
    timestamp = models.DateTimeField()
    md5 = models.CharField(max_length=32)

    class Meta:
        managed = False
        db_table = 'wp_icl_string_status'


class WpIclStringTranslations(models.Model):
    id = models.BigIntegerField(primary_key=True)
    string_id = models.BigIntegerField()
    language = models.CharField(max_length=10)
    status = models.IntegerField()
    value = models.TextField(blank=True, null=True)
    translator_id = models.BigIntegerField(blank=True, null=True)
    translation_service = models.CharField(max_length=16)
    batch_id = models.IntegerField()
    translation_date = models.DateTimeField()

    class Meta:
        managed = False
        db_table = 'wp_icl_string_translations'


class WpIclStrings(models.Model):
    id = models.BigIntegerField(primary_key=True)
    language = models.CharField(max_length=7)
    context = models.CharField(max_length=160)
    name = models.CharField(max_length=160)
    value = models.TextField()
    string_package_id = models.BigIntegerField(blank=True, null=True)
    type = models.CharField(max_length=40)
    title = models.CharField(max_length=160, blank=True, null=True)
    status = models.IntegerField()
    gettext_context = models.TextField()
    domain_name_context_md5 = models.CharField(max_length=32)

    class Meta:
        managed = False
        db_table = 'wp_icl_strings'


class WpIclTranslate(models.Model):
    tid = models.BigIntegerField()
    job_id = models.BigIntegerField()
    content_id = models.BigIntegerField()
    timestamp = models.DateTimeField()
    field_type = models.CharField(max_length=160)
    field_format = models.CharField(max_length=16)
    field_translate = models.IntegerField()
    field_data = models.TextField()
    field_data_translated = models.TextField()
    field_finished = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_icl_translate'


class WpIclTranslateJob(models.Model):
    job_id = models.BigIntegerField()
    rid = models.BigIntegerField()
    translator_id = models.IntegerField()
    translated = models.IntegerField()
    manager_id = models.IntegerField()
    revision = models.IntegerField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'wp_icl_translate_job'


class WpIclTranslationBatches(models.Model):
    id = models.IntegerField(primary_key=True)
    batch_name = models.TextField()
    tp_id = models.IntegerField(blank=True, null=True)
    ts_url = models.TextField(blank=True, null=True)
    last_update = models.DateTimeField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'wp_icl_translation_batches'


class WpIclTranslationStatus(models.Model):
    rid = models.BigIntegerField()
    translation_id = models.BigIntegerField()
    status = models.IntegerField()
    translator_id = models.BigIntegerField()
    needs_update = models.IntegerField()
    md5 = models.CharField(max_length=32)
    translation_service = models.CharField(max_length=16)
    batch_id = models.IntegerField()
    translation_package = models.TextField()
    timestamp = models.DateTimeField()
    links_fixed = models.IntegerField()
    field_prevstate = models.TextField(db_column='_prevstate', blank=True, null=True)  # Field renamed because it started with '_'.

    class Meta:
        managed = False
        db_table = 'wp_icl_translation_status'


class WpIclTranslations(models.Model):
    translation_id = models.BigIntegerField()
    element_type = models.CharField(max_length=36)
    element_id = models.BigIntegerField(blank=True, null=True)
    trid = models.BigIntegerField()
    language_code = models.CharField(max_length=7)
    source_language_code = models.CharField(max_length=7, blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'wp_icl_translations'


class WpLinks(models.Model):
    link_id = models.BigAutoField(primary_key=True)
    link_url = models.CharField(max_length=255)
    link_name = models.CharField(max_length=255)
    link_image = models.CharField(max_length=255)
    link_target = models.CharField(max_length=25)
    link_description = models.CharField(max_length=255)
    link_visible = models.CharField(max_length=20)
    link_owner = models.BigIntegerField()
    link_rating = models.IntegerField()
    link_updated = models.DateTimeField()
    link_rel = models.CharField(max_length=255)
    link_notes = models.TextField()
    link_rss = models.CharField(max_length=255)

    class Meta:
        managed = False
        db_table = 'wp_links'


class WpOptions(models.Model):
    option_id = models.BigAutoField(primary_key=True)
    option_name = models.CharField(unique=True, max_length=191)
    option_value = models.TextField()
    autoload = models.CharField(max_length=20)

    class Meta:
        managed = False
        db_table = 'wp_options'


class WpPostmeta(models.Model):
    meta_id = models.BigAutoField(primary_key=True)
    post_id = models.BigIntegerField()
    meta_key = models.CharField(max_length=255, blank=True, null=True)
    meta_value = models.TextField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'wp_postmeta'


class WpPosts(models.Model):
    id = models.BigAutoField(db_column='ID', primary_key=True)  # Field name made lowercase.
    post_author = models.BigIntegerField()
    post_date = models.DateTimeField()
    post_date_gmt = models.DateTimeField()
    post_content = models.TextField()
    post_title = models.TextField()
    post_excerpt = models.TextField()
    post_status = models.CharField(max_length=20)
    comment_status = models.CharField(max_length=20)
    ping_status = models.CharField(max_length=20)
    post_password = models.CharField(max_length=20)
    post_name = models.CharField(max_length=200)
    to_ping = models.TextField()
    pinged = models.TextField()
    post_modified = models.DateTimeField()
    post_modified_gmt = models.DateTimeField()
    post_content_filtered = models.TextField()
    post_parent = models.BigIntegerField()
    guid = models.CharField(max_length=255)
    menu_order = models.IntegerField()
    post_type = models.CharField(max_length=20)
    post_mime_type = models.CharField(max_length=100)
    comment_count = models.BigIntegerField()

    class Meta:
        managed = False
        db_table = 'wp_posts'


class WpPostsread(models.Model):
    pr_id = models.AutoField(primary_key=True)
    pr_url = models.CharField(max_length=1000)
    pr_date = models.DateTimeField()
    pr_topics = models.CharField(max_length=50, blank=True, null=True)
    pr_page_content = models.TextField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'wp_postsread'


class WpSlPages(models.Model):
    sl_page_id = models.AutoField(primary_key=True)
    sl_page_content = models.TextField()
    sl_post_id = models.IntegerField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'wp_sl_pages'


class WpTermRelationships(models.Model):
    object_id = models.BigIntegerField(primary_key=True)
    term_taxonomy_id = models.BigIntegerField()
    term_order = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_term_relationships'
        unique_together = (('object_id', 'term_taxonomy_id'),)


class WpTermTaxonomy(models.Model):
    term_taxonomy_id = models.BigAutoField(primary_key=True)
    term_id = models.BigIntegerField()
    taxonomy = models.CharField(max_length=32)
    description = models.TextField()
    parent = models.BigIntegerField()
    count = models.BigIntegerField()

    class Meta:
        managed = False
        db_table = 'wp_term_taxonomy'
        unique_together = (('term_id', 'taxonomy'),)


class WpTermmeta(models.Model):
    meta_id = models.BigAutoField(primary_key=True)
    term_id = models.BigIntegerField()
    meta_key = models.CharField(max_length=255, blank=True, null=True)
    meta_value = models.TextField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'wp_termmeta'


class WpTerms(models.Model):
    term_id = models.BigAutoField(primary_key=True)
    name = models.CharField(max_length=200)
    slug = models.CharField(max_length=200)
    term_group = models.BigIntegerField()

    class Meta:
        managed = False
        db_table = 'wp_terms'


class WpTopic(models.Model):
    topic_id = models.AutoField(primary_key=True)
    topic_name = models.CharField(max_length=200)
    topic_slug = models.CharField(max_length=200)
    topic_status = models.CharField(max_length=20)
    topic_type = models.CharField(max_length=20)
    topic_search_1 = models.TextField(blank=True, null=True)
    topic_search_2 = models.TextField(blank=True, null=True)
    topic_exclude = models.TextField(blank=True, null=True)
    topic_sources = models.TextField(blank=True, null=True)
    topic_aidbfc = models.TextField(blank=True, null=True)
    topic_aidbcat = models.TextField(blank=True, null=True)
    topic_skip_domains = models.TextField(blank=True, null=True)
    topic_min_length = models.IntegerField(blank=True, null=True)
    topic_cat = models.IntegerField(blank=True, null=True)
    topic_tag = models.IntegerField(blank=True, null=True)
    topic_tag_search2 = models.CharField(max_length=1, blank=True, null=True)
    topic_options = models.TextField(blank=True, null=True)
    topic_last_run = models.DateTimeField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'wp_topic'


class WpUsermeta(models.Model):
    umeta_id = models.BigAutoField(primary_key=True)
    user_id = models.BigIntegerField()
    meta_key = models.CharField(max_length=255, blank=True, null=True)
    meta_value = models.TextField(blank=True, null=True)

    class Meta:
        managed = False
        db_table = 'wp_usermeta'


class WpUsers(models.Model):
    id = models.BigAutoField(db_column='ID', primary_key=True)  # Field name made lowercase.
    user_login = models.CharField(max_length=60)
    user_pass = models.CharField(max_length=255)
    user_nicename = models.CharField(max_length=50)
    user_email = models.CharField(max_length=100)
    user_url = models.CharField(max_length=100)
    user_registered = models.DateTimeField()
    user_activation_key = models.CharField(max_length=255)
    user_status = models.IntegerField()
    display_name = models.CharField(max_length=250)

    class Meta:
        managed = False
        db_table = 'wp_users'


class WpWpdatacharts(models.Model):
    id = models.AutoField(primary_key=True)
    wpdatatable_id = models.IntegerField()
    title = models.CharField(max_length=255)
    engine = models.CharField(max_length=10)
    type = models.CharField(max_length=255)
    json_render_data = models.TextField()

    class Meta:
        managed = False
        db_table = 'wp_wpdatacharts'


class WpWpdatatables(models.Model):
    id = models.AutoField(primary_key=True)
    title = models.CharField(max_length=255)
    show_title = models.IntegerField()
    table_type = models.CharField(max_length=55)
    content = models.TextField()
    filtering = models.IntegerField()
    filtering_form = models.IntegerField()
    sorting = models.IntegerField()
    tools = models.IntegerField()
    server_side = models.IntegerField()
    editable = models.IntegerField()
    inline_editing = models.IntegerField()
    popover_tools = models.IntegerField()
    editor_roles = models.CharField(max_length=255)
    mysql_table_name = models.CharField(max_length=255)
    edit_only_own_rows = models.IntegerField()
    userid_column_id = models.IntegerField()
    display_length = models.IntegerField()
    auto_refresh = models.IntegerField()
    fixed_columns = models.IntegerField()
    chart = models.CharField(max_length=6)
    chart_title = models.CharField(max_length=255)
    fixed_layout = models.IntegerField()
    responsive = models.IntegerField()
    scrollable = models.IntegerField()
    word_wrap = models.IntegerField()
    hide_before_load = models.IntegerField()
    var1 = models.CharField(max_length=255)
    var2 = models.CharField(max_length=255)
    var3 = models.CharField(max_length=255)
    tabletools_config = models.CharField(max_length=255)

    class Meta:
        managed = False
        db_table = 'wp_wpdatatables'


class WpWpdatatablesColumns(models.Model):
    id = models.AutoField(primary_key=True)
    table_id = models.IntegerField()
    orig_header = models.CharField(max_length=255)
    display_header = models.CharField(max_length=255)
    filter_type = models.CharField(max_length=14)
    column_type = models.CharField(max_length=10)
    input_type = models.CharField(max_length=15)
    input_mandatory = models.IntegerField()
    id_column = models.IntegerField()
    group_column = models.IntegerField()
    sort_column = models.IntegerField()
    hide_on_phones = models.IntegerField()
    hide_on_tablets = models.IntegerField()
    use_in_chart = models.IntegerField()
    chart_horiz_axis = models.IntegerField()
    visible = models.IntegerField()
    sum_column = models.IntegerField()
    skip_thousands_separator = models.IntegerField()
    width = models.CharField(max_length=4)
    possible_values = models.TextField()
    default_value = models.CharField(max_length=100)
    css_class = models.CharField(max_length=255)
    text_before = models.CharField(max_length=255)
    text_after = models.CharField(max_length=255)
    formatting_rules = models.TextField()
    calc_formula = models.TextField()
    color = models.CharField(max_length=255)
    pos = models.IntegerField()

    class Meta:
        managed = False
        db_table = 'wp_wpdatatables_columns'
