# -*- coding: utf-8 -*-

# Define your item pipelines here
#
# Don't forget to add your pipeline to the ITEM_PIPELINES setting
# See: http://doc.scrapy.org/en/latest/topics/item-pipeline.html
from datetime import datetime
from .helpers.db import Database
from scrapy.utils.project import get_project_settings

db = get_project_settings().get('DB')


class ExaPipeline(object):
    def __init__(self):
        # self.out = open('out/out{}.txt'.format(datetime.now()), 'w', newline='\n')
        self.db = Database(**db)
        super(ExaPipeline, self).__init__()

    def __del__(self):
        pass
        # self.out.close()

    def process_item(self, item, spider):
        print(item)
        item['description'] = ''.join(item['description']).replace('\n', ' ')
        data = (item['title'], item['description'], item['url'], item['media_id'], item['type_id'],
                item['region_id'], item['post_id'], item['date'], datetime.now().date(), item['company_id'], 0)
        query = """INSERT INTO wp_esi_news_accept (title, description, URL, media_id, type_id, region_id, post_id,
        publish_date, record_date, company_id, is_accepted) VALUES(%s, %s, %s, %s, %s, %s, %s, %s, %s, %s, %s);\n"""
        print(item)
        news = self.db.insert(query, data)
        # self._insert_news_entiry(news, item['company_id'])
        # self.out.write(query)

        return item

    def _insert_news_entiry(self, news, entity):
        query = 'INSERT INTO wp_esi_news_entity (news_id, entity_id) VALUES(%s, %s)'
        self.db.insert(query, (news, entity))
